[Index]

API Reference for data/AnomalyDetectionRunCleanup

Singleton model for scheduled purge of expired AnomalyDetectionRun records. Triggered by data/Schedule on a 24-hour interval.

Model ref.: data/AnomalyDetectionRunCleanup

The full URL would include the host-proxy name: https://[host-proxy].

Variables are enclosed in square brackets.

For a list of available UUIDs and their dot notations:
GET /api/v0/data/HierarchyNode/?format=json

Get the Add form

Task Call URL Parameters Response
Get the GUI Add form. GET /api/data/AnomalyDetectionRunCleanup/add/
  • hierarchy=[hierarchy]
  • format=json
The GUI Add form of data/AnomalyDetectionRunCleanup as JSON

The API call to the /add/ URL can only be made from a hierarchy that allows the model type to be added. The actions in the response shows the url for the POST API call to create an instance.

Create

Task Call URL Parameters Payload
Create POST /api/data/AnomalyDetectionRunCleanup hierarchy=[hierarchy]
(For payload specification)

  • Response is a transaction pkid for the create action.
  • Use the GET call to
    tool/Transaction/[trans pkid]
    to inspect the created resource and its instance pkid.
  • Bulk Delete

    Task Call URL Parameters Payload
    Bulk delete [pkid1],[pkid2]... DELETE /api/data/AnomalyDetectionRunCleanup/ hierarchy=[hierarchy] {"hrefs":["/api/data/AnomalyDetectionRunCleanup/[pkid1]", "/api/data/AnomalyDetectionRunCleanup/[pkid2]", ...]}
    • For the instance pkids [pkid1],[pkid2], ... that can be added to the DELETE call (the instance pkids to delete), refer to the List GET call for: data/AnomalyDetectionRunCleanup
      GET http://[host-proxy]/api/data/AnomalyDetectionRunCleanup/?hierarchy=[hierarchy]&format=json

    Configuration Template

    Task Call URL Parameters Response
    Configuration Template GET /api/data/AnomalyDetectionRunCleanup/configuration_template/ hierarchy=[hierarchy]
    • POST call to create the Configuration Template
    • Configuration Template schema

    • Use the returned properties to create the POST payload data for the .
    • For a description of the schema that shows properties to add to the POST payload:
      • The POST call is of the format:
      • POST http://[host-proxy]/api/data/ConfigurationTemplate/?hierarchy=[hierarchy]

    Field Display Policy

    Task Call URL Parameters Response
    Field Display Policy GET /api/data/AnomalyDetectionRunCleanup/field_display_policy/ hierarchy=[hierarchy]
    • POST call to create the Field Display Policy
    • Field Display Policy schema

    • Use the returned properties to create the POST payload data for the .
    • For a description of the schema that shows properties to add to the POST payload:
    • The POST call is of the format:
      • POST http://[host-proxy]/api/data/FieldDisplayPolicy/?hierarchy=[hierarchy]

    Migration Template

    Task Call URL Parameters Response
    Migration Template GET /api/data/AnomalyDetectionRunCleanup/migration/
    • hierarchy=[hierarchy]
    • format=json
     

    List

    Task Call URL Parameters Response
    List GET /api/data/AnomalyDetectionRunCleanup/
    • hierarchy=[hierarchy]
    • format=json
    • schema=true
    The data/AnomalyDetectionRunCleanup schema and all instances as JSON.

    (The list will return 0 to 3 data/AnomalyDetectionRunCleanup instances)

    (Show the first instance)

    Instance API Reference

    Delete

    Task Call URL Parameters Response
    Delete DELETE /api/data/AnomalyDetectionRunCleanup/[pkid] hierarchy=[hierarchy]

    Execute

    Task Call URL Parameters Payload
    Execute POST /api/data/AnomalyDetectionRunCleanup/[pkid]/execute hierarchy=[hierarchy] If payload required:

    Get

    Task Call URL Parameters Response
    Get GET /api/data/AnomalyDetectionRunCleanup/[pkid] hierarchy=[hierarchy] The data/AnomalyDetectionRunCleanup instance with [pkid].